Index: svn/src/southbridge/amd/rs780/rs780_gfx.c
===================================================================
--- svn.orig/src/southbridge/amd/rs780/rs780_gfx.c
+++ svn/src/southbridge/amd/rs780/rs780_gfx.c
@@ -55,7 +55,7 @@ static u32 clkind_read(device_t dev, u32
 static void clkind_write(device_t dev, u32 index, u32 data)
 {
 	u32	gfx_bar2 = pci_read_config32(dev, 0x18) & ~0xF;
-	/* printk(BIOS_DEBUG, "gfx bar 2 %02x\n", gfx_bar2); */
+	/* printk(DEBUG, "gfx bar 2 %02x\n", gfx_bar2); */
 
 	*(u32*)(gfx_bar2+CLK_CNTL_INDEX) = index | 1<<7;
 	*(u32*)(gfx_bar2+CLK_CNTL_DATA)  = data;
@@ -67,7 +67,7 @@ static void clkind_write(device_t dev, u
 */
 static void rs780_gfx_read_resources(device_t dev)
 {
-	printk(BIOS_DEBUG, "rs780_gfx_read_resources.\n");
+	printk(DEBUG, "rs780_gfx_read_resources.\n");
 
 	/* The initial value of 0x24 is 0xFFFFFFFF, which is confusing.
 	   Even if we write 0xFFFFFFFF into it, it will be 0xFFF00000,
@@ -189,7 +189,7 @@ static CIM_STATUS GetCreativeMMIO(MMIORA
 		{
 			tempdev = dev_find_slot(Bus, Dev << 3);
 			Value = pci_read_config32(tempdev, 0);
-			printk(BIOS_DEBUG, "Dev ID %x \n", Value);
+			printk(DEBUG, "Dev ID %x \n", Value);
 			if((Value & 0xffff) == 0x1102)
 			{//Creative
 				//Found Creative SB
@@ -220,7 +220,7 @@ static CIM_STATUS GetCreativeMMIO(MMIORA
 						}
 					}
 				}
-				printk(BIOS_DEBUG, " MMIOStart %x MMIOLimit %x \n", MMIOStart, MMIOLimit);
+				printk(DEBUG, " MMIOStart %x MMIOLimit %x \n", MMIOStart, MMIOLimit);
 				if (MMIOStart < MMIOLimit)
 				{
 					Status = SetMMIO(MMIOStart>>8, MMIOLimit>>8, 0x80, pMMIO);
@@ -307,7 +307,7 @@ static void internal_gfx_pci_dev_init(st
 
 	deviceid = pci_read_config16(dev, PCI_DEVICE_ID);
 	vendorid = pci_read_config16(dev, PCI_VENDOR_ID);
-	printk(BIOS_DEBUG, "internal_gfx_pci_dev_init device=%x, vendor=%x.\n",
+	printk(DEBUG, "internal_gfx_pci_dev_init device=%x, vendor=%x.\n",
 	     deviceid, vendorid);
 
 	command = pci_read_config16(dev, 0x04);
@@ -417,7 +417,7 @@ static void internal_gfx_pci_dev_init(st
 	vgainfo.ulBootUpEngineClock = 500 * 100; /* set boot up GFX engine clock. */
 	vgainfo.ulReserved1[0] = 0;	vgainfo.ulReserved1[1] = 0;
 	value = pci_read_config32(k8_f2, 0x94);
-	printk(BIOS_DEBUG, "MEMCLK = %x\n", value&0x7);
+	printk(DEBUG, "MEMCLK = %x\n", value&0x7);
 	vgainfo.ulBootUpUMAClock = 333 * 100; /* set boot up UMA memory clock. */
 	vgainfo.ulBootUpSidePortClock = 0; /* disable SP. */
 	vgainfo.ulMinSidePortClock = 0; /* disable SP. */
@@ -445,14 +445,14 @@ static void internal_gfx_pci_dev_init(st
 	vgainfo.usBootUpNBVoltage = 0x1a;
 
 	value = pci_read_config32(nb_dev, 0xd0);
-	printk(BIOS_DEBUG, "NB HT speed = %x.\n", value);
+	printk(DEBUG, "NB HT speed = %x.\n", value);
 	value = pci_read_config32(k8_f0, 0x88);
-	printk(BIOS_DEBUG, "CPU HT speed = %x.\n", value);
+	printk(DEBUG, "CPU HT speed = %x.\n", value);
 	vgainfo.ulHTLinkFreq = 100 * 100; /* set HT speed. */
 
 	/* HT width. */
 	value = pci_read_config32(nb_dev, 0xc8);
-	printk(BIOS_DEBUG, "HT width = %x.\n", value);
+	printk(DEBUG, "HT width = %x.\n", value);
 	vgainfo.usMinHTLinkWidth = 16;
 	vgainfo.usMaxHTLinkWidth = 16;
 	vgainfo.usUMASyncStartDelay = 322;
@@ -583,10 +583,10 @@ static void rs780_internal_gfx_enable(de
 	u32 FB_Start, FB_End;
 #endif
 
-	printk(BIOS_DEBUG, "rs780_internal_gfx_enable dev = 0x%p, nb_dev = 0x%p.\n", dev, nb_dev);
+	printk(DEBUG, "rs780_internal_gfx_enable dev = 0x%p, nb_dev = 0x%p.\n", dev, nb_dev);
 
 	sysmem = rdmsr(0xc001001a);
-	printk(BIOS_DEBUG, "sysmem = %x_%x\n", sysmem.hi, sysmem.lo);
+	printk(DEBUG, "sysmem = %x_%x\n", sysmem.hi, sysmem.lo);
 
 	/* The system top memory in 780. */
 	pci_write_config32(nb_dev, 0x90, sysmem.lo);
@@ -824,12 +824,12 @@ static void single_port_configuration(de
 	struct southbridge_amd_rs780_config *cfg =
 	    (struct southbridge_amd_rs780_config *)nb_dev->chip_info;
 
-	printk(BIOS_DEBUG, "rs780_gfx_init single_port_configuration.\n");
+	printk(DEBUG, "rs780_gfx_init single_port_configuration.\n");
 
 	/* step 12 training, releases hold training for GFX port 0 (device 2) */
 	PcieReleasePortTraining(nb_dev, dev, 2);
 	result = PcieTrainPort(nb_dev, dev, 2);
-	printk(BIOS_DEBUG, "rs780_gfx_init single_port_configuration step12.\n");
+	printk(DEBUG, "rs780_gfx_init single_port_configuration step12.\n");
 
 	/* step 13 Power Down Control */
 	/* step 13.1 Enables powering down transmitter and receiver pads along with PLL macros. */
@@ -849,7 +849,7 @@ static void single_port_configuration(de
 		set_pcie_enable_bits(dev, 0xA2, 0xFF, 0x1);
 		reg32 = nbpcie_p_read_index(dev, 0x29);
 		width = reg32 & 0xFF;
-		printk(BIOS_DEBUG, "GFX Inactive Lanes = 0x%x.\n", width);
+		printk(DEBUG, "GFX Inactive Lanes = 0x%x.\n", width);
 		switch (width) {
 		case 1:
 		case 2:
@@ -866,11 +866,11 @@ static void single_port_configuration(de
 			break;
 		}
 	}
-	printk(BIOS_DEBUG, "rs780_gfx_init single_port_configuration step13.\n");
+	printk(DEBUG, "rs780_gfx_init single_port_configuration step13.\n");
 
 	/* step 14 Reset Enumeration Timer, disables the shortening of the enumeration timer */
 	set_pcie_enable_bits(dev, 0x70, 1 << 19, 1 << 19);
-	printk(BIOS_DEBUG, "rs780_gfx_init single_port_configuration step14.\n");
+	printk(DEBUG, "rs780_gfx_init single_port_configuration step14.\n");
 }
 
 static void dual_port_configuration(device_t nb_dev, device_t dev)
@@ -903,7 +903,7 @@ static void dual_port_configuration(devi
 	} else {		/* step 16.b Link Training was successful */
 		reg32 = nbpcie_p_read_index(dev, 0xa2);
 		width = (reg32 >> 4) & 0x7;
-		printk(BIOS_DEBUG, "GFX LC_LINK_WIDTH = 0x%x.\n", width);
+		printk(DEBUG, "GFX LC_LINK_WIDTH = 0x%x.\n", width);
 		switch (width) {
 		case 1:
 		case 2:
@@ -980,7 +980,7 @@ void rs780_gfx_init(device_t nb_dev, dev
 	struct southbridge_amd_rs780_config *cfg =
 	    (struct southbridge_amd_rs780_config *)nb_dev->chip_info;
 
-	printk(BIOS_DEBUG, "rs780_gfx_init, nb_dev=0x%p, dev=0x%p, port=0x%x.\n",
+	printk(DEBUG, "rs780_gfx_init, nb_dev=0x%p, dev=0x%p, port=0x%x.\n",
 		    nb_dev, dev, port);
 
 	/* GFX Core Initialization */
@@ -1003,7 +1003,7 @@ void rs780_gfx_init(device_t nb_dev, dev
 	set_nbmisc_enable_bits(nb_dev, 0x28, 3 << 6 | 3 << 8 | 3 << 10,
 			       1 << 6 | 1 << 8 | 1 << 10);
 	reg32 = nbmisc_read_index(nb_dev, 0x28);
-	printk(BIOS_DEBUG, "misc 28 = %x\n", reg32);
+	printk(DEBUG, "misc 28 = %x\n", reg32);
 
 	/* 5.9.1.6.Selects the single ended GFX REFCLK to be the source for core logic. */
 	set_nbmisc_enable_bits(nb_dev, 0x6C, 1 << 31, 1 << 31);
@@ -1021,7 +1021,7 @@ void rs780_gfx_init(device_t nb_dev, dev
 	set_nbmisc_enable_bits(nb_dev, 0x28, 3 << 6 | 3 << 8 | 3 << 10,
 			       0);
 	reg32 = nbmisc_read_index(nb_dev, 0x28);
-	printk(BIOS_DEBUG, "misc 28 = %x\n", reg32);
+	printk(DEBUG, "misc 28 = %x\n", reg32);
 
 	/* 5.9.1.6.Selects the single ended GFX REFCLK to be the source for core logic. */
 	set_nbmisc_enable_bits(nb_dev, 0x6C, 1 << 31, 0 << 31);
@@ -1062,7 +1062,7 @@ void rs780_gfx_init(device_t nb_dev, dev
 		/* release hold training for device 2. GFX initialization is done. */
 		set_nbmisc_enable_bits(nb_dev, 0x8, 1 << 4, 0 << 4);
 		dynamic_link_width_control(nb_dev, dev, cfg->gfx_link_width);
-		printk(BIOS_DEBUG, "rs780_gfx_init step7.\n");
+		printk(DEBUG, "rs780_gfx_init step7.\n");
 		return;
 	}
 
@@ -1070,11 +1070,11 @@ void rs780_gfx_init(device_t nb_dev, dev
 	/* 5.9.12.1 sets RCB timeout to be 25ms */
 	/* 5.9.12.2. RCB Cpl timeout on link down. */
 	set_pcie_enable_bits(dev, 0x70, 7 << 16 | 1 << 19, 4 << 16 | 1 << 19);
-	printk(BIOS_DEBUG, "rs780_gfx_init step5.9.12.1.\n");
+	printk(DEBUG, "rs780_gfx_init step5.9.12.1.\n");
 
 	/* step 5.9.12.3 disables slave ordering logic */
 	set_pcie_enable_bits(nb_dev, 0x20, 1 << 8, 1 << 8);
-	printk(BIOS_DEBUG, "rs780_gfx_init step5.9.12.3.\n");
+	printk(DEBUG, "rs780_gfx_init step5.9.12.3.\n");
 
 	/* step 5.9.12.4 sets DMA payload size to 64 bytes */
 	set_pcie_enable_bits(nb_dev, 0x10, 7 << 10, 4 << 10);
@@ -1096,7 +1096,7 @@ void rs780_gfx_init(device_t nb_dev, dev
 
 	/* 5.9.12.9 CMGOOD_OVERRIDE for end point initiated lane degradation. */
 	set_nbmisc_enable_bits(nb_dev, 0x6a, 1 << 17, 1 << 17);
-	printk(BIOS_DEBUG, "rs780_gfx_init step5.9.12.9.\n");
+	printk(DEBUG, "rs780_gfx_init step5.9.12.9.\n");
 
 	/* 5.9.12.10 Sets the timer in Config state from 20us to */
 	/* 5.9.12.11 De-asserts RX_EN in L0s. */
@@ -1169,14 +1169,14 @@ void rs780_gfx_init(device_t nb_dev, dev
 		if (cfg->gfx_lane_reversal) {
 			set_nbmisc_enable_bits(nb_dev, 0x33, 1 << 2, 1 << 2);
 		}
-		printk(BIOS_DEBUG, "rs780_gfx_init step1.\n");
+		printk(DEBUG, "rs780_gfx_init step1.\n");
 
-		printk(BIOS_DEBUG, "device = %x\n", dev->path.pci.devfn >> 3);
+		printk(DEBUG, "device = %x\n", dev->path.pci.devfn >> 3);
 		if((dev->path.pci.devfn >> 3) == 2) {
 			single_port_configuration(nb_dev, dev);
 		} else {
 			set_nbmisc_enable_bits(nb_dev, 0xc, 0, 0x2 << 2); /* hide the GFX bridge. */
-			printk(BIOS_INFO, "Single port. Do nothing.\n"); // If dev3
+			printk(INFO, "Single port. Do nothing.\n"); // If dev3
 		}
 
 		break;
@@ -1186,17 +1186,17 @@ void rs780_gfx_init(device_t nb_dev, dev
 			set_nbmisc_enable_bits(nb_dev, 0x33, 1 << 2, 1 << 2);
 			set_nbmisc_enable_bits(nb_dev, 0x33, 1 << 3, 1 << 3);
 		}
-		printk(BIOS_DEBUG, "rs780_gfx_init step1.\n");
+		printk(DEBUG, "rs780_gfx_init step1.\n");
 		/* step 1.1, dual-slot gfx configuration (only need if CMOS option is enabled) */
 		/* AMD calls the configuration CrossFire */
 		set_nbmisc_enable_bits(nb_dev, 0x0, 0xf << 8, 5 << 8);
-		printk(BIOS_DEBUG, "rs780_gfx_init step2.\n");
+		printk(DEBUG, "rs780_gfx_init step2.\n");
 
-		printk(BIOS_DEBUG, "device = %x\n", dev->path.pci.devfn >> 3);
+		printk(DEBUG, "device = %x\n", dev->path.pci.devfn >> 3);
 		dual_port_configuration(nb_dev, dev);
 		break;
 	default:
-		printk(BIOS_INFO, "Incorrect configuration of external GFX slot.\n");
+		printk(INFO, "Incorrect configuration of external GFX slot.\n");
 		break;
 	}
 }
Index: svn/src/southbridge/amd/rs780/rs780_ht.c
===================================================================
--- svn.orig/src/southbridge/amd/rs780/rs780_ht.c
+++ svn/src/southbridge/amd/rs780/rs780_ht.c
@@ -53,7 +53,7 @@ static void pcie_init(struct device *dev
 	/* Enable pci error detecting */
 	u32 dword;
 
-	printk(BIOS_INFO, "pcie_init in rs780_ht.c\n");
+	printk(INFO, "pcie_init in rs780_ht.c\n");
 
 	/* System error enable */
 	dword = pci_read_config32(dev, 0x04);
Index: svn/src/southbridge/amd/rs780/rs780_pcie.c
===================================================================
--- svn.orig/src/southbridge/amd/rs780/rs780_pcie.c
+++ svn/src/southbridge/amd/rs780/rs780_pcie.c
@@ -202,7 +202,7 @@ static void switching_gpp_configurations
 *****************************************************************/
 void enable_pcie_bar3(device_t nb_dev)
 {
-	printk(BIOS_DEBUG, "enable_pcie_bar3()\n");
+	printk(DEBUG, "enable_pcie_bar3()\n");
 	set_nbcfg_enable_bits(nb_dev, 0x7C, 1 << 30, 1 << 30);	/* Enables writes to the BAR3 register. */
 	set_nbcfg_enable_bits(nb_dev, 0x84, 7 << 16, 0 << 16);
 
@@ -218,7 +218,7 @@ void enable_pcie_bar3(device_t nb_dev)
 *****************************************************************/
 void disable_pcie_bar3(device_t nb_dev)
 {
-	printk(BIOS_DEBUG, "disable_pcie_bar3()\n");
+	printk(DEBUG, "disable_pcie_bar3()\n");
 	pci_write_config32(nb_dev, 0x1C, 0);	/* clear BAR3 address */
 	set_nbcfg_enable_bits(nb_dev, 0x7C, 1 << 30, 0 << 30);	/* Disable writes to the BAR3. */
 	ProgK8TempMmioBase(0, EXT_CONF_BASE_ADDRESS, TEMP_MMIO_BASE_ADDRESS);
@@ -238,7 +238,7 @@ void rs780_gpp_sb_init(device_t nb_dev, 
 	u32 gfx_gpp_sb_sel;
 	struct southbridge_amd_rs780_config *cfg =
 	    (struct southbridge_amd_rs780_config *)nb_dev->chip_info;
-	printk(BIOS_DEBUG, "gpp_sb_init nb_dev=0x%x, dev=0x%x, port=0x%x\n", nb_dev->path.pci.devfn, dev->path.pci.devfn, port);
+	printk(DEBUG, "gpp_sb_init nb_dev=0x%x, dev=0x%x, port=0x%x\n", nb_dev->path.pci.devfn, dev->path.pci.devfn, port);
 
 	gfx_gpp_sb_sel = port >= 4 && port <= 8 ?
 				PCIE_CORE_INDEX_GPPSB :		/* 4,5,6,7,8 */
@@ -352,7 +352,7 @@ void rs780_gpp_sb_init(device_t nb_dev, 
 			PcieReleasePortTraining(nb_dev, dev, port);
 			if (!(AtiPcieCfg.Config & PCIE_GPP_COMPLIANCE)) {
 				u8 res = PcieTrainPort(nb_dev, dev, port);
-				printk(BIOS_DEBUG, "PcieTrainPort port=0x%x result=%d\n", port, res);
+				printk(DEBUG, "PcieTrainPort port=0x%x result=%d\n", port, res);
 				if (res) {
 					AtiPcieCfg.PortDetect |= 1 << port;
 				}
Index: svn/src/southbridge/amd/sb600/sb600.c
===================================================================
--- svn.orig/src/southbridge/amd/sb600/sb600.c
+++ svn/src/southbridge/amd/sb600/sb600.c
@@ -118,7 +118,7 @@ void sb600_enable(device_t dev)
 
 	u32 devfn;
 
-	printk(BIOS_DEBUG, "sb600_enable()\n");
+	printk(DEBUG, "sb600_enable()\n");
 
 /*
 *	0:12.0  SATA	bit 8 of sm_dev 0xac : 1 - enable, default         + 32 * 3
@@ -220,7 +220,7 @@ void sb600_enable(device_t dev)
 		index += 32 * 4;
 		break;
 	default:
-		printk(BIOS_DEBUG, "unknown dev: %s deviceid=%4x\n", dev_path(dev),
+		printk(DEBUG, "unknown dev: %s deviceid=%4x\n", dev_path(dev),
 			     deviceid);
 	}
 }
Index: svn/src/southbridge/amd/sb600/sb600_early_setup.c
===================================================================
--- svn.orig/src/southbridge/amd/sb600/sb600_early_setup.c
+++ svn/src/southbridge/amd/sb600/sb600_early_setup.c
@@ -284,16 +284,16 @@ static void sb600_devices_por_init(void)
 	device_t dev;
 	u8 byte;
 
-	printk(BIOS_INFO, "sb600_devices_por_init()\n");
+	printk(INFO, "sb600_devices_por_init()\n");
 	/* SMBus Device, BDF:0-20-0 */
-	printk(BIOS_INFO, "sb600_devices_por_init(): SMBus Device, BDF:0-20-0\n");
+	printk(INFO, "sb600_devices_por_init(): SMBus Device, BDF:0-20-0\n");
 	dev = pci_locate_device(PCI_ID(0x1002, 0x4385), 0);
 
 	if (dev == PCI_DEV_INVALID) {
 		die("SMBUS controller not found\n");
 		/* NOT REACHED */
 	}
-	printk(BIOS_INFO, "SMBus controller enabled, sb revision is 0x%x\n",
+	printk(INFO, "SMBus controller enabled, sb revision is 0x%x\n",
 		    get_sb600_revision());
 
 	/* sbPorAtStartOfTblCfg */
@@ -372,7 +372,7 @@ static void sb600_devices_por_init(void)
 	outb(inb(SMBUS_IO_BASE + SMBHSTSTAT), SMBUS_IO_BASE + SMBHSTSTAT);
 
 	/* IDE Device, BDF:0-20-1 */
-	printk(BIOS_INFO, "sb600_devices_por_init(): IDE Device, BDF:0-20-1\n");
+	printk(INFO, "sb600_devices_por_init(): IDE Device, BDF:0-20-1\n");
 	dev = pci_locate_device(PCI_ID(0x1002, 0x438C), 0);
 	/* Disable prefetch */
 	byte = pci_read_config8(dev, 0x63);
@@ -380,7 +380,7 @@ static void sb600_devices_por_init(void)
 	pci_write_config8(dev, 0x63, byte);
 
 	/* LPC Device, BDF:0-20-3 */
-	printk(BIOS_INFO, "sb600_devices_por_init(): LPC Device, BDF:0-20-3\n");
+	printk(INFO, "sb600_devices_por_init(): LPC Device, BDF:0-20-3\n");
 	dev = pci_locate_device(PCI_ID(0x1002, 0x438D), 0);
 	/* DMA enable */
 	pci_write_config8(dev, 0x40, 0x04);
@@ -417,7 +417,7 @@ static void sb600_devices_por_init(void)
 
 	/* P2P Bridge, BDF:0-20-4, the configuration of the registers in this dev are copied from CIM,
 	 * TODO: I don't know what are their mean? */
-	printk(BIOS_INFO, "sb600_devices_por_init(): P2P Bridge, BDF:0-20-4\n");
+	printk(INFO, "sb600_devices_por_init(): P2P Bridge, BDF:0-20-4\n");
 	dev = pci_locate_device(PCI_ID(0x1002, 0x4384), 0);
 	/* I don't know why CIM tried to write into a read-only reg! */
 	/*pci_write_config8(dev, 0x0c, 0x20) */ ;
@@ -448,7 +448,7 @@ static void sb600_devices_por_init(void)
 	pci_write_config8(dev, 0x50, 0x01);
 
 	/* SATA Device, BDF:0-18-0, Non-Raid-5 SATA controller */
-	printk(BIOS_INFO, "sb600_devices_por_init(): SATA Device, BDF:0-18-0\n");
+	printk(INFO, "sb600_devices_por_init(): SATA Device, BDF:0-18-0\n");
 	dev = pci_locate_device(PCI_ID(0x1002, 0x4380), 0);
 
 	/*PHY Global Control, we are using A14.
@@ -479,7 +479,7 @@ static void sb600_pmio_por_init(void)
 {
 	u8 byte;
 
-	printk(BIOS_INFO, "sb600_pmio_por_init()\n");
+	printk(INFO, "sb600_pmio_por_init()\n");
 	/* K8KbRstEn, KB_RST# control for K8 system. */
 	byte = pmio_read(0x66);
 	byte |= 0x20;
@@ -676,7 +676,7 @@ static void sb600_before_pci_init(void)
 */
 static void sb600_early_setup(void)
 {
-	printk(BIOS_INFO, "sb600_early_setup()\n");
+	printk(INFO, "sb600_early_setup()\n");
 	sb600_por_init();
 }
 
Index: svn/src/southbridge/amd/sb600/sb600_hda.c
===================================================================
--- svn.orig/src/southbridge/amd/sb600/sb600_hda.c
+++ svn/src/southbridge/amd/sb600/sb600_hda.c
@@ -86,7 +86,7 @@ no_codec:
 	/* Codec Not found */
 	/* Put HDA back in reset (BAR + 0x8) [0] */
 	set_bits(base + 0x08, 1, 0);
-	printk(BIOS_DEBUG, "No codec!\n");
+	printk(DEBUG, "No codec!\n");
 	return 0;
 }
 
@@ -156,9 +156,9 @@ static u32 find_verb(u32 viddid, u32 ** 
 	device_t azalia_dev = dev_find_slot(0, PCI_DEVFN(0x14, 2));
 	struct southbridge_amd_sb600_config *cfg =
 	    (struct southbridge_amd_sb600_config *)azalia_dev->chip_info;
-	printk(BIOS_DEBUG, "Dev=%s\n", dev_path(azalia_dev));
-	printk(BIOS_DEBUG, "Default viddid=%x\n", cfg->hda_viddid);
-	printk(BIOS_DEBUG, "Reading viddid=%x\n", viddid);
+	printk(DEBUG, "Dev=%s\n", dev_path(azalia_dev));
+	printk(DEBUG, "Default viddid=%x\n", cfg->hda_viddid);
+	printk(DEBUG, "Reading viddid=%x\n", viddid);
 	if (!cfg)
 		return 0;
 	if (viddid != cfg->hda_viddid)
@@ -232,15 +232,15 @@ static void codec_init(u32 base, int add
 	dword = read32(base + 0x64);
 
 	/* 2 */
-	printk(BIOS_DEBUG, "codec viddid: %08x\n", dword);
+	printk(DEBUG, "codec viddid: %08x\n", dword);
 	verb_size = find_verb(dword, &verb);
 
 	if (!verb_size) {
-		printk(BIOS_DEBUG, "No verb!\n");
+		printk(DEBUG, "No verb!\n");
 		return;
 	}
 
-	printk(BIOS_DEBUG, "verb_size: %d\n", verb_size);
+	printk(DEBUG, "verb_size: %d\n", verb_size);
 	/* 3 */
 	for (i = 0; i < verb_size; i++) {
 		if (wait_for_ready(base) == -1)
@@ -251,7 +251,7 @@ static void codec_init(u32 base, int add
 		if (wait_for_valid(base) == -1)
 			return;
 	}
-	printk(BIOS_DEBUG, "verb loaded!\n");
+	printk(DEBUG, "verb loaded!\n");
 }
 
 static void codecs_init(u32 base, u32 codec_mask)
@@ -302,11 +302,11 @@ static void hda_init(struct device *dev)
 		return;
 
 	base = ((u32)res->base);
-	printk(BIOS_DEBUG, "base = 0x%x\n", base);
+	printk(DEBUG, "base = 0x%x\n", base);
 	codec_mask = codec_detect(base);
 
 	if (codec_mask) {
-		printk(BIOS_DEBUG, "codec_mask = %02x\n", codec_mask);
+		printk(DEBUG, "codec_mask = %02x\n", codec_mask);
 		codecs_init(base, codec_mask);
 	}
 }
Index: svn/src/southbridge/amd/sb600/sb600_lpc.c
===================================================================
--- svn.orig/src/southbridge/amd/sb600/sb600_lpc.c
+++ svn/src/southbridge/amd/sb600/sb600_lpc.c
@@ -130,7 +130,7 @@ static void sb600_lpc_enable_childrens_r
 						continue;
 					base = res->base;
 					end = resource_end(res);
-					printk(BIOS_DEBUG, "sb600 lpc decode:%s, base=0x%08x, end=0x%08x\n",
+					printk(DEBUG, "sb600 lpc decode:%s, base=0x%08x, end=0x%08x\n",
 					     dev_path(child), base, end);
 					switch (base) {
 					case 0x60:	/*  KB */
Index: svn/src/southbridge/amd/sb600/sb600_sata.c
===================================================================
--- svn.orig/src/southbridge/amd/sb600/sb600_sata.c
+++ svn/src/southbridge/amd/sb600/sb600_sata.c
@@ -35,22 +35,22 @@ static int sata_drive_detect(int portnum
 	while (byte = inb(iobar + 0x6), byte2 = inb(iobar + 0x7),
 		(byte != (0xA0 + 0x10 * (portnum % 2))) ||
 		((byte2 & 0x88) != 0)) {
-		printk(BIOS_SPEW, "0x6=%x, 0x7=%x\n", byte, byte2);
+		printk(SPEW, "0x6=%x, 0x7=%x\n", byte, byte2);
 		if (byte != (0xA0 + 0x10 * (portnum % 2))) {
 			/* This will happen at the first iteration of this loop
 			 * if the first SATA port is unpopulated and the
 			 * second SATA port is poulated.
 			 */
-			printk(BIOS_DEBUG, "drive no longer selected after %i ms, "
+			printk(DEBUG, "drive no longer selected after %i ms, "
 				"retrying init\n", i * 10);
 			return 1;
 		} else
-			printk(BIOS_SPEW, "drive detection not yet completed, "
+			printk(SPEW, "drive detection not yet completed, "
 				"waiting...\n");
 		mdelay(10);
 		i++;
 	}
-	printk(BIOS_SPEW, "drive detection done after %i ms\n", i * 10);
+	printk(SPEW, "drive detection done after %i ms\n", i * 10);
 	return 0;
 }
 
@@ -91,12 +91,12 @@ static void sata_init(struct device *dev
 	sata_bar3 = pci_read_config16(dev, 0x1C) & ~0x3;
 	sata_bar4 = pci_read_config16(dev, 0x20) & ~0xf;
 
-	printk(BIOS_SPEW, "sata_bar0=%x\n", sata_bar0);	/* 3030 */
-	printk(BIOS_SPEW, "sata_bar1=%x\n", sata_bar1);	/* 3070 */
-	printk(BIOS_SPEW, "sata_bar2=%x\n", sata_bar2);	/* 3040 */
-	printk(BIOS_SPEW, "sata_bar3=%x\n", sata_bar3);	/* 3080 */
-	printk(BIOS_SPEW, "sata_bar4=%x\n", sata_bar4);	/* 3000 */
-	printk(BIOS_SPEW, "sata_bar5=%x\n", sata_bar5);	/* e0309000 */
+	printk(SPEW, "sata_bar0=%x\n", sata_bar0);	/* 3030 */
+	printk(SPEW, "sata_bar1=%x\n", sata_bar1);	/* 3070 */
+	printk(SPEW, "sata_bar2=%x\n", sata_bar2);	/* 3040 */
+	printk(SPEW, "sata_bar3=%x\n", sata_bar3);	/* 3080 */
+	printk(SPEW, "sata_bar4=%x\n", sata_bar4);	/* 3000 */
+	printk(SPEW, "sata_bar5=%x\n", sata_bar5);	/* e0309000 */
 
 	/* Program the 2C to 0x43801002 */
 	dword = 0x43801002;
@@ -173,13 +173,13 @@ static void sata_init(struct device *dev
 
 	for (i = 0; i < 4; i++) {
 		byte = read8(sata_bar5 + 0x128 + 0x80 * i);
-		printk(BIOS_SPEW, "SATA port %i status = %x\n", i, byte);
+		printk(SPEW, "SATA port %i status = %x\n", i, byte);
 		byte &= 0xF;
 
 		if( byte == 0x1 ) {
 			/* If the drive status is 0x1 then we see it but we aren't talking to it. */
 			/* Try to do something about it. */
-			printk(BIOS_SPEW, "SATA device detected but not talking. Trying lower speed.\n");
+			printk(SPEW, "SATA device detected but not talking. Trying lower speed.\n");
 
 			/* Read in Port-N Serial ATA Control Register */
 			byte = read8(sata_bar5 + 0x12C + 0x80 * i);
@@ -200,7 +200,7 @@ static void sata_init(struct device *dev
 
 			/* Reread status */
 			byte = read8(sata_bar5 + 0x128 + 0x80 * i);
-			printk(BIOS_SPEW, "SATA port %i status = %x\n", i, byte);
+			printk(SPEW, "SATA port %i status = %x\n", i, byte);
 			byte &= 0xF;
 		}
 
@@ -209,13 +209,13 @@ static void sata_init(struct device *dev
 				if (!sata_drive_detect(i, ((i / 2) == 0) ? sata_bar0 : sata_bar2))
 					break;
 			}
-			printk(BIOS_DEBUG, "%s %s device is %sready after %i tries\n",
+			printk(DEBUG, "%s %s device is %sready after %i tries\n",
 					(i / 2) ? "Secondary" : "Primary",
 					(i % 2 ) ? "Slave" : "Master",
 					(j == 10) ? "not " : "",
 					(j == 10) ? j : j + 1);
 		} else {
-			printk(BIOS_DEBUG, "No %s %s SATA drive on Slot%i\n",
+			printk(DEBUG, "No %s %s SATA drive on Slot%i\n",
 					(i / 2) ? "Secondary" : "Primary",
 					(i % 2 ) ? "Slave" : "Master", i);
 		}
@@ -240,7 +240,7 @@ static void sata_init(struct device *dev
 	/* word = pm_ioread(0x28); */
 	/* byte = pm_ioread(0x29); */
 	/* word |= byte<<8; */
-	/* printk(BIOS_DEBUG, "AcpiGpe0Blk addr = %x\n", word); */
+	/* printk(DEBUG, "AcpiGpe0Blk addr = %x\n", word); */
 	/* write32(word, 0x80000000); */
 }
 
Index: svn/src/southbridge/amd/sb600/sb600_sm.c
===================================================================
--- svn.orig/src/southbridge/amd/sb600/sb600_sm.c
+++ svn/src/southbridge/amd/sb600/sb600_sm.c
@@ -54,7 +54,7 @@ static void sm_init(device_t dev)
 	u32 on;
 	u32 nmi_option;
 
-	printk(BIOS_INFO, "sm_init().\n");
+	printk(INFO, "sm_init().\n");
 
 	ioapic_base = pci_read_config32(dev, 0x74) & (0xffffffe0);	/* some like mem resource, but does not have  enable bit */
 	/* Don't rename APIC ID */
@@ -98,7 +98,7 @@ static void sm_init(device_t dev)
 	}
 	byte |= 1 << 2;
 	pm_iowrite(0x74, byte);
-	printk(BIOS_INFO, "set power %s after power fail\n", on ? "on" : "off");
+	printk(INFO, "set power %s after power fail\n", on ? "on" : "off");
 
 	/* sb600 rpr:2.3.3: */
 	byte = pm_ioread(0x9A);
@@ -154,10 +154,10 @@ static void sm_init(device_t dev)
 	get_option(&nmi_option, "nmi");
 	if (nmi_option) {
 		byte &= ~(1 << 7);	/* set NMI */
-		printk(BIOS_INFO, "++++++++++set NMI+++++\n");
+		printk(INFO, "++++++++++set NMI+++++\n");
 	} else {
 		byte |= (1 << 7);	/* Can not mask NMI from PCI-E and NMI_NOW */
-		printk(BIOS_INFO, "++++++++++no set NMI+++++\n");
+		printk(INFO, "++++++++++no set NMI+++++\n");
 	}
 	byte &= ~(1 << 7);
 	if (byte != byte_old) {
@@ -197,9 +197,9 @@ static void sm_init(device_t dev)
 	/* 3.12: Enabling AB and BIF Clock Gating */
 	abcfg_reg(0x10054, 0xFFFF0000, 0x1040000);
 	abcfg_reg(0x54, 0xFF << 16, 4 << 16);
-	printk(BIOS_INFO, "3.11, ABCFG:0x54\n");
+	printk(INFO, "3.11, ABCFG:0x54\n");
 	abcfg_reg(0x54, 1 << 24, 1 << 24);
-	printk(BIOS_INFO, "3.12, ABCFG:0x54\n");
+	printk(INFO, "3.12, ABCFG:0x54\n");
 	abcfg_reg(0x98, 0x0000FF00, 0x00004700);
 
 	/* 3.13:Enabling AB Int_Arbiter Enhancement (for All Revisions) */
@@ -211,7 +211,7 @@ static void sm_init(device_t dev)
 
 	abcfg_reg(0x10098, 0xFFFFFFFF, 0x4000);
 	abcfg_reg(0x04, 0xFFFFFFFF, 0x6);
-	printk(BIOS_INFO, "sm_init() end\n");
+	printk(INFO, "sm_init() end\n");
 
 	/* Enable NbSb virtual channel */
 	axcfg_reg(0x114, 0x3f << 1, 0 << 1);
Index: svn/src/southbridge/amd/sb600/sb600_smbus.c
===================================================================
--- svn.orig/src/southbridge/amd/sb600/sb600_smbus.c
+++ svn/src/southbridge/amd/sb600/sb600_smbus.c
@@ -188,7 +188,7 @@ static void alink_ab_indx(u32 reg_space,
 	tmp &= ~mask;
 	tmp |= val;
 
-	/* printk(BIOS_DEBUG, "about write %x, index=%x", tmp, (reg_space&0x3)<<30 | reg_addr); */
+	/* printk(DEBUG, "about write %x, index=%x", tmp, (reg_space&0x3)<<30 | reg_addr); */
 	outl((reg_space & 0x3) << 30 | reg_addr, AB_INDX);	/* probably we dont have to do it again. */
 	outl(tmp, AB_DATA);
 }
Index: svn/src/southbridge/amd/sb600/sb600_usb.c
===================================================================
--- svn.orig/src/southbridge/amd/sb600/sb600_usb.c
+++ svn/src/southbridge/amd/sb600/sb600_usb.c
@@ -94,7 +94,7 @@ static void usb_init2(struct device *dev
 	/* pci_write_config32(dev, 0xf8, dword); */
 
 	usb2_bar0 = pci_read_config32(dev, 0x10) & ~0xFF;
-	printk(BIOS_INFO, "usb2_bar0=0x%x\n", usb2_bar0);
+	printk(INFO, "usb2_bar0=0x%x\n", usb2_bar0);
 
 	/* RPR5.4 Enables the USB PHY auto calibration resister to match 45ohm resistence */
 	dword = 0x00020F00;
Index: svn/src/southbridge/amd/sb700/sb700.c
===================================================================
--- svn.orig/src/southbridge/amd/sb700/sb700.c
+++ svn/src/southbridge/amd/sb700/sb700.c
@@ -118,7 +118,7 @@ void sb700_enable(device_t dev)
 
 	u32 devfn;
 
-	printk(BIOS_DEBUG, "sb700_enable()\n");
+	printk(DEBUG, "sb700_enable()\n");
 
 /*
 *	0:11.0  SATA	bit 8 of sm_dev 0xac : 1 - enable, default         + 32 * 3
@@ -221,7 +221,7 @@ void sb700_enable(device_t dev)
 		index = 4;
 		break;
 	default:
-		printk(BIOS_DEBUG, "unknown dev: %s deviceid=%4x\n", dev_path(dev),
+		printk(DEBUG, "unknown dev: %s deviceid=%4x\n", dev_path(dev),
 			     deviceid);
 	}
 }
Index: svn/src/southbridge/amd/sb700/sb700_early_setup.c
===================================================================
--- svn.orig/src/southbridge/amd/sb700/sb700_early_setup.c
+++ svn/src/southbridge/amd/sb700/sb700_early_setup.c
@@ -300,16 +300,16 @@ static void sb700_devices_por_init(void)
 	device_t dev;
 	u8 byte;
 
-	printk(BIOS_INFO, "sb700_devices_por_init()\n");
+	printk(INFO, "sb700_devices_por_init()\n");
 	/* SMBus Device, BDF:0-20-0 */
-	printk(BIOS_INFO, "sb700_devices_por_init(): SMBus Device, BDF:0-20-0\n");
+	printk(INFO, "sb700_devices_por_init(): SMBus Device, BDF:0-20-0\n");
 	dev = pci_locate_device(PCI_ID(0x1002, 0x4385), 0);
 
 	if (dev == PCI_DEV_INVALID) {
 		die("SMBUS controller not found\n");
 		/* NOT REACHED */
 	}
-	printk(BIOS_INFO, "SMBus controller enabled, sb revision is A%x\n",
+	printk(INFO, "SMBus controller enabled, sb revision is A%x\n",
 		    set_sb700_revision());
 
 	/* sbPorAtStartOfTblCfg */
@@ -378,7 +378,7 @@ static void sb700_devices_por_init(void)
 	outb(inb(SMBUS_IO_BASE + SMBHSTSTAT), SMBUS_IO_BASE + SMBHSTSTAT);
 
 	/* IDE Device, BDF:0-20-1 */
-	printk(BIOS_INFO, "sb700_devices_por_init(): IDE Device, BDF:0-20-1\n");
+	printk(INFO, "sb700_devices_por_init(): IDE Device, BDF:0-20-1\n");
 	dev = pci_locate_device(PCI_ID(0x1002, 0x439C), 0);
 	/* Disable prefetch */
 	byte = pci_read_config8(dev, 0x63);
@@ -386,7 +386,7 @@ static void sb700_devices_por_init(void)
 	pci_write_config8(dev, 0x63, byte);
 
 	/* LPC Device, BDF:0-20-3 */
-	printk(BIOS_INFO, "sb700_devices_por_init(): LPC Device, BDF:0-20-3\n");
+	printk(INFO, "sb700_devices_por_init(): LPC Device, BDF:0-20-3\n");
 	dev = pci_locate_device(PCI_ID(0x1002, 0x439D), 0);
 	/* DMA enable */
 	pci_write_config8(dev, 0x40, 0x04);
@@ -423,7 +423,7 @@ static void sb700_devices_por_init(void)
 
 	/* P2P Bridge, BDF:0-20-4, the configuration of the registers in this dev are copied from CIM,
 	 */
-	printk(BIOS_INFO, "sb700_devices_por_init(): P2P Bridge, BDF:0-20-4\n");
+	printk(INFO, "sb700_devices_por_init(): P2P Bridge, BDF:0-20-4\n");
 	dev = pci_locate_device(PCI_ID(0x1002, 0x4384), 0);
 
 	/* Arbiter enable. */
@@ -440,7 +440,7 @@ static void sb700_devices_por_init(void)
 	pci_write_config8(dev, 0x50, 0x01);
 
 	/* SATA Device, BDF:0-17-0, Non-Raid-5 SATA controller */
-	printk(BIOS_INFO, "sb700_devices_por_init(): SATA Device, BDF:0-18-0\n");
+	printk(INFO, "sb700_devices_por_init(): SATA Device, BDF:0-18-0\n");
 	dev = pci_locate_device(PCI_ID(0x1002, 0x4390), 0);
 
 	/*PHY Global Control*/
@@ -457,7 +457,7 @@ static void sb700_pmio_por_init(void)
 {
 	u8 byte;
 
-	printk(BIOS_INFO, "sb700_pmio_por_init()\n");
+	printk(INFO, "sb700_pmio_por_init()\n");
 	/* K8KbRstEn, KB_RST# control for K8 system. */
 	byte = pmio_read(0x66);
 	byte |= 0x20;
@@ -602,7 +602,7 @@ static void sb700_before_pci_init(void)
 */
 static void sb700_early_setup(void)
 {
-	printk(BIOS_INFO, "sb700_early_setup()\n");
+	printk(INFO, "sb700_early_setup()\n");
 	sb700_por_init();
 }
 
Index: svn/src/southbridge/amd/sb700/sb700_hda.c
===================================================================
--- svn.orig/src/southbridge/amd/sb700/sb700_hda.c
+++ svn/src/southbridge/amd/sb700/sb700_hda.c
@@ -86,7 +86,7 @@ no_codec:
 	/* Codec Not found */
 	/* Put HDA back in reset (BAR + 0x8) [0] */
 	set_bits(base + 0x08, 1, 0);
-	printk(BIOS_DEBUG, "No codec!\n");
+	printk(DEBUG, "No codec!\n");
 	return 0;
 }
 
@@ -150,7 +150,7 @@ static void codec_init(u32 base, int add
 	dword = read32(base + 0x64);
 
 	/* 2 */
-	printk(BIOS_DEBUG, "%x(th) codec viddid: %08x\n", addr, dword);
+	printk(DEBUG, "%x(th) codec viddid: %08x\n", addr, dword);
 }
 
 static void codecs_init(u32 base, u32 codec_mask)
@@ -203,11 +203,11 @@ static void hda_init(struct device *dev)
 		return;
 
 	base = (u32)res->base;
-	printk(BIOS_DEBUG, "base = 0x%x\n", base);
+	printk(DEBUG, "base = 0x%x\n", base);
 	codec_mask = codec_detect(base);
 
 	if (codec_mask) {
-		printk(BIOS_DEBUG, "codec_mask = %02x\n", codec_mask);
+		printk(DEBUG, "codec_mask = %02x\n", codec_mask);
 		codecs_init(base, codec_mask);
 	}
 }
